#include <sqlextract/filter/filter_values.h>
#include <sqlextract/filter/filter.h>

static void filter_destroy_constant(void *storage) {
	struct arbval_t *av = (struct arbval_t *) storage;
	arbval_destroy(av);
}

static void filter_process_constant(struct arbval_t *result, void *object,
		void *storage) {
	struct arbval_t *av = (struct arbval_t *) storage;
	arbval_clone_into(result, av);
}

struct filter_t *filter_create_constant(struct arbval_t *av) {
	void *storage = (void *) arbval_clone(av);
	return filter_create(filter_process_constant, filter_destroy_constant,
			storage);
}
